Bug 499759

Summary: opening png causes firefox to crash
Product: [Fedora] Fedora Reporter: Jonathan Smith <smithj>
Component: cairoAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: behdad, bernie+fedora, gecko-bugs-nobody, kevin, walters
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:26:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
boxen.png - test case for firefox crash
none
backtrace from crash none

Description Jonathan Smith 2009-05-07 22:14:16 EDT
Created attachment 342961 [details]
boxen.png - test case for firefox crash

Opening a png I generated with graphviz causes firefox to crash.

To trigger the crash I browsed to file:///location/boxen.png.

Opening the same image in eog works as expected - no crash and the image is readable.

firefox-3.5-0.20.beta4.fc11.x86_64, system is fully up-to-date with rawhide as of 2009-05-07 with the exceptions noted in bug 499301
Comment 1 Matěj Cepl 2009-05-08 13:10:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2009-05-08 13:11:10 EDT
Cannot reproduce here with the latest updated Rawhide. Image just opens in file:///tmp/boxen.png.
Comment 3 Jonathan Smith 2009-05-08 17:41:44 EDT
sxjrs@sxjrs-3 ~ $   rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
mozilla-filesystem-1.9-4.fc11.x86_64
xulrunner-devel-1.9.1-0.20.beta4.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
gstreamer-plugins-base-0.10.22-2.fc11.x86_64
gnash-plugin-0.8.5-3.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64
firefox-3.5-0.20.beta4.fc11.x86_64
plymouth-plugin-spinfinity-0.7.0-0.2009.03.10.4.fc11.x86_64
yum-plugin-allowdowngrade-1.1.21-2.fc11.noarch
xulrunner-1.9.1-0.20.beta4.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.03.10.4.fc11.x86_64
PackageKit-yum-plugin-0.4.6-8.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.6-8.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-20.b14.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
totem-mozplugin-2.26.2-1.fc11.x86_64
gstreamer-plugins-good-0.10.14-2.fc11.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.x86_64
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
anaconda-yum-plugins-1.0-4.fc11.noarch
setroubleshoot-plugins-2.0.16-1.fc11.noarch
Comment 4 Jonathan Smith 2009-05-08 18:04:34 EDT
Created attachment 343185 [details]
backtrace from crash

After installing a boatload of debuginfo packages (firefox links against bloody everything) and running firefox with --sync, and setting a break on gdk_x_error, I get this trace.
Comment 5 Matěj Cepl 2009-05-15 21:05:56 EDT
(In reply to comment #4)
> Created an attachment (id=343185) [details]
> backtrace from crash

I think this is not Firefox crash but somewhere deeper ... gdk or cairo. Reassigning.

> After installing a boatload of debuginfo packages (firefox links against bloody
> everything)

No it's worse ... it brings its own OS to Linux ;-)
Comment 6 Bug Zapper 2009-06-09 11:25:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 10:12:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:26:34 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.